Subject: Kernel debugging on 460EX

From: Felix Radensky <[email-masked]>
Date: Thu, 25 Sep 2008 12:42:01 +0300

Hi,

I'm trying to debug Linux kernel (2.6.26) on custom 460EX based
board using BDI3000. The U-Boot succeeds to download kernel and
DTB into RAM and jump to kernel code.  Immediately after that
the board resets without printing anything to console. I'm trying
to set a breakpoint at _start kernel routine, but it doesn't work.

My BDI3000  configuration file looks like this:

[INIT]

[TARGET]
JTAGCLOCK       4       ;use 5 MHz JTAG clock
CPUTYPE         440     ;the used target CPU type
WAKEUP          500     ;wakeup time after reset
BREAKMODE       SOFT    ;SOFT or HARD, HARD uses PPC hardware breakpoint
STEPMODE        HWBP    ;JTAG or HWBP, HWBP uses one or two hardware 
breakpoints
RESET           HARD
MMU             XLAT

In BDI I let u-boot complete the initialization and get to the prompt.
Then I do

halt
bi 0xc0000000
go

and run bootd command in u-boot. However the board resets without breaking
into kernel code. What am I doing wrong ?

Thanks a lot in advance !

Felix.